import { TextlintResult } from "@textlint/kernel";
import { TesterErrorDefinition } from "./textlint-tester";
export type TestTextlintLinter = {
    lintText(text: string, ext: string): Promise<TextlintResult>;
    lintFile(filePath: string): Promise<TextlintResult>;
};
export type InvalidPatternArgs = {
    textlint: TestTextlintLinter;
    inputPath: string;
    errors: TesterErrorDefinition[];
    description?: string;
} | {
    textlint: TestTextlintLinter;
    errors: TesterErrorDefinition[];
    text: string;
    ext: string;
    description?: string;
};
/**
 * Test invalid pattern
 * @param args
 */
export declare function testInvalid(args: InvalidPatternArgs): Promise<void>;
export type ValidPatternArgs = {
    textlint: TestTextlintLinter;
    inputPath: string;
    description?: string;
} | {
    textlint: TestTextlintLinter;
    text: string;
    ext: string;
    description?: string;
};
export declare function testValid(args: ValidPatternArgs): Promise<void>;
//# sourceMappingURL=test-util.d.ts.map